OnigEncodingTypeST Struct Reference

`#include <oniguruma.h>`

## Data Fields

int(* | precise_mbc_enc_len )(const OnigUChar *p, const OnigUChar *e, struct OnigEncodingTypeST *enc)
const char * | name
int | max_enc_len
int | min_enc_len
int(* | is_mbc_newline )(const OnigUChar *p, const OnigUChar *end, struct OnigEncodingTypeST *enc)
OnigCodePoint(* | mbc_to_code )(const OnigUChar *p, const OnigUChar *end, struct OnigEncodingTypeST *enc)
int(* | code_to_mbclen )(OnigCodePoint code, struct OnigEncodingTypeST *enc)
int(* | code_to_mbc )(OnigCodePoint code, OnigUChar *buf, struct OnigEncodingTypeST *enc)
int(* | mbc_case_fold )(OnigCaseFoldType flag, const OnigUChar **pp, const OnigUChar *end, OnigUChar *to, struct OnigEncodingTypeST *enc)
int(* | apply_all_case_fold )(OnigCaseFoldType flag, OnigApplyAllCaseFoldFunc f, void *arg, struct OnigEncodingTypeST *enc)
int(* | get_case_fold_codes_by_str )(OnigCaseFoldType flag, const OnigUChar *p, const OnigUChar *end, OnigCaseFoldCodeItem acs[], struct OnigEncodingTypeST *enc)
int(* | property_name_to_ctype )(struct OnigEncodingTypeST *enc, OnigUChar *p, OnigUChar *end)
int(* | is_code_ctype )(OnigCodePoint code, OnigCtype ctype, struct OnigEncodingTypeST *enc)
int(* | get_ctype_code_range )(OnigCtype ctype, OnigCodePoint *sb_out, const OnigCodePoint *ranges[], struct OnigEncodingTypeST *enc)
OnigUChar *(* | left_adjust_char_head )(const OnigUChar *start, const OnigUChar *p, const OnigUChar *end, struct OnigEncodingTypeST *enc)
int(* | is_allowed_reverse_match )(const OnigUChar *p, const OnigUChar *end, struct OnigEncodingTypeST *enc)
int | ruby_encoding_index

## Detailed Description

Definition at line 156 of file oniguruma.h.

## Field Documentation

int(* OnigEncodingTypeST::apply_all_case_fold)(OnigCaseFoldType flag, OnigApplyAllCaseFoldFunc f, void *arg, struct OnigEncodingTypeST *enc)

Definition at line 166 of file oniguruma.h.

int(* OnigEncodingTypeST::code_to_mbc)(OnigCodePoint code, OnigUChar *buf, struct OnigEncodingTypeST *enc)

Definition at line 164 of file oniguruma.h.

int(* OnigEncodingTypeST::code_to_mbclen)(OnigCodePoint code, struct OnigEncodingTypeST *enc)

Definition at line 163 of file oniguruma.h.

int(* OnigEncodingTypeST::get_case_fold_codes_by_str)(OnigCaseFoldType flag, const OnigUChar *p, const OnigUChar *end, OnigCaseFoldCodeItem acs[], struct OnigEncodingTypeST *enc)

Definition at line 167 of file oniguruma.h.

int(* OnigEncodingTypeST::get_ctype_code_range)(OnigCtype ctype, OnigCodePoint *sb_out, const OnigCodePoint *ranges[], struct OnigEncodingTypeST *enc)

Definition at line 170 of file oniguruma.h.

int(* OnigEncodingTypeST::is_allowed_reverse_match)(const OnigUChar *p, const OnigUChar *end, struct OnigEncodingTypeST *enc)

Definition at line 172 of file oniguruma.h.

int(* OnigEncodingTypeST::is_code_ctype)(OnigCodePoint code, OnigCtype ctype, struct OnigEncodingTypeST *enc)

Definition at line 169 of file oniguruma.h.

int(* OnigEncodingTypeST::is_mbc_newline)(const OnigUChar *p, const OnigUChar *end, struct OnigEncodingTypeST *enc)

Definition at line 161 of file oniguruma.h.

OnigUChar*(* OnigEncodingTypeST::left_adjust_char_head)(const OnigUChar *start, const OnigUChar *p, const OnigUChar *end, struct OnigEncodingTypeST *enc)

Definition at line 171 of file oniguruma.h.

int OnigEncodingTypeST::max_enc_len

Definition at line 159 of file oniguruma.h.

Referenced by slow_search().

int(* OnigEncodingTypeST::mbc_case_fold)(OnigCaseFoldType flag, const OnigUChar **pp, const OnigUChar *end, OnigUChar *to, struct OnigEncodingTypeST *enc)

Definition at line 165 of file oniguruma.h.

OnigCodePoint(* OnigEncodingTypeST::mbc_to_code)(const OnigUChar *p, const OnigUChar *end, struct OnigEncodingTypeST *enc)

Definition at line 162 of file oniguruma.h.

int OnigEncodingTypeST::min_enc_len

Definition at line 160 of file oniguruma.h.

Referenced by slow_search().

const char* OnigEncodingTypeST::name

Definition at line 158 of file oniguruma.h.

Referenced by enc_register_at(), gzfile_reset(), rb_gzfile_ecopts(), rb_str_dump(), and RUBY_ALIAS_FUNCTION().

int(* OnigEncodingTypeST::precise_mbc_enc_len)(const OnigUChar *p, const OnigUChar *e, struct OnigEncodingTypeST *enc)

Definition at line 157 of file oniguruma.h.

int(* OnigEncodingTypeST::property_name_to_ctype)(struct OnigEncodingTypeST *enc, OnigUChar *p, OnigUChar *end)

Definition at line 168 of file oniguruma.h.

int OnigEncodingTypeST::ruby_encoding_index

Definition at line 173 of file oniguruma.h.

Referenced by enc_register_at().

The documentation for this struct was generated from the following file:

- include/ruby/oniguruma.h